VARKON Version 1.16 1998-03-25

### VARKON95.EXE

Executable file
Description
WIN32 version of VARKON for Windows 95 and NT. VARKON95.EXE is the commersial version of the system but there is also a restricted free version for demo-purposes called DEMO95.EXE.
Syntax
VARKON95 project_name job_name -r -v -x -DRAWING -GEOMETRY -LOCAL -GLOBAL
-BASIC -global_ref -pmnbytes -rtsnbytes -gmnpages -iresourcefile -dnl
Options preceded by a minus sign should be followed by their value without any separating blank spaces.
Options

project_name | - Name of project
job_name | - Name of job
-r | - Start in drafting mode instead of the normal mode
-v | - Report current version information and exit. No X11 required for this.
-x | - Execute active module at startup if RES-file is missing
-DRAWING | - Use DRAWING type for new modules
-GEOMETRY | - Use GEOMETRY type for new modules
-LOCAL | - Use the LOCAL attribute for new modules
-GLOBAL | - Use the GLOBAL attribute for new modules
-BASIC | - Use the BASIC attribute for new modules
-global_ref | - Generate global references in part calls
-pmnbytes | - Set size of PM to nbytes (VARKON95.EXE only)
-rtsnbytes | - Set size of RTS to nbytes (VARKON95.EXE only)
-gmnpages | - Set size of GM buffer to npages
-iresourcefile | - Include resources from resourcefile at start up
-dnl | - Turn debug on for name = n with level = l if available

Examples
VARKON95
Starts with default values for all options. The system will promt for project and job name.
VARKON95 buildings
Starts with default values for all options except the name of the project. The system will not promt for project name but will ask for the name of the job.
VARKON95 bearings ball_539 -gm1000
Starts a job named ball_539 in project bearings. The memory buffer for GM is set to 1000 pages. Default values will be used for all other options.

VARKON95 -imy_toolbar.ini

Starts VARKON and loads resources from "toolbar.ini".

VARKON95 -r
Starts the system in explicit (non generic) drafting mode.
Comments
VARKON95 automatically checks for $VARKON_INI\VARKON.INI at startup. If this resource file exists it is loaded. An additional resourcefile may be specified on the commandline using the -i option. Resources from VARKON.INI may not be owerwritten by resources from the file specified with the -i option. This behaviour is different from the UNIX version of VARKON.

VARKON95.EXE automatically checks the Windows95/NT registry each time it is started for the existence of VARKON_ROOT in the HKEY_CURRENT_USER/Environment key. If VARKON_ROOT is found VARKON95 expects the following environment variables to be defined as well in HKEY_CURRENT_USER/Environmen.
VARKON_ERM Error message files C:\VARKON\ERM
VARKON_DOC Help files C:\VARKON\DOC
VARKON_PID Project files C:\VARKON\PID
VARKON_MDF Menu files C:\VARKON\MDF\ENGLISH
VARKON_LIB The VARKON library C:\VARKON\LIB
VARKON_TMP Temporary files C:\VARKON\TMP
VARKON_FNT Fonts for graphical text C:\VARKON\CNF\FNT
VARKON_PRD Default project directory C:\VARKON\APP
VARKON_TOL Tolerance files C:\VARKON\CNF\TOL
VARKON_PLT Plotter configuration files C:\VARKON\CNF\PLT
VARKON_INI Init files C:\VARKON\CNF\INI\ENGLISH
VARKON_SND Sound files C:\VARKON\CNF\SND

The VARKON95 installation program automatically inserts these variables into the registry. If anyone is missing the default value to the right will be used instead.

If VARKON_ROOT is not in the registry VARKON automatically creates all variables above based on the path to the copy of VARKON95.EXE currently running and inserts them into the registry. This is useful for network installations where the VARKON95 installation program has only been executed once on a server to install the basic system but where you want to be able to start the system from any PC in the network. The first time a user starts VARKON on a PC where VARKON has never been started before VARKON will automatically register its environment in the local PC.

VARKON Homepage | Index